/sales/buy-orders/{buy-order-id}/lines
This endpoint allows you to list all Buy Orders Lines for a specific Buy Order.
getBuyOrderLines
| Name | Type | Description |
|---|---|---|
buy-order-id
required
|
string |
The Buy Order ID |
data
array<object>
id
string
required
read-only
ID of the Buy Order Line.
type
string
required
read-only
Model type. Model varies with the type of Buy Order.
buy_order_service
buy_order_material
attributes
object
required
order_service_id
integer
read-only
ID of the Buy Order Line. Only present if the type of Buy Order is 'SERVICE'.
order_material_id
integer
read-only
ID of the Buy Order Line. Only present if the type of Buy Order is 'MATERIAL'.
order_id
integer
read-only
ID of the associated Buy Order.
description
string | null
Description of the item of Buy Order Line. Required if buy order type is 'SERVICE'. If the type of buy order is 'MATERIAL', corresponds to the Material name.
material_id
integer | null
ID of the Material item in the Buy Order Line. Only present if the type of Buy Order is 'MATERIAL'.
price
string | null
ID of the Other Cost in the Buy Order Line.
quantity
string
Quantity of the item in the Buy Order Line.
quantity_received
string | null
Received quantity of the item in the Buy Order Line. Only present if the type of Buy Order is 'MATERIAL'.
observation
string | null
Observation or notes of the Buy Order Line.
vat
string
VAT applied to the item in the Buy Order Line.
discount
string
Discount percentage applied to the item in the Buy Order Line.
unit
string | null
Unit of the item in the Buy Order Line. Only present if the type of Buy Order is 'MATERIAL'.
vat_total
number
read-only
Total VAT applied to the Buy Order Line.
discount_total
number
read-only
Total discount the Buy Order Line.
base_total
number
read-only
Total base price the Buy Order Line.
total
number
read-only
Total price the Buy Order Line.
cost_center_id
integer | null
ID of the associated Cost Center.
estimated_at
string | null
Date when material is estimated to arrive. Only present if the type of Buy Order is 'MATERIAL'.
Example: 2021-07-21T18:38:00
included
array<object>
List of relationships to be included
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
403
message
string
Example: Action unauthorized
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/sales/buy-orders/{buy-order-id}/lines' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/sales/buy-orders/{buy-order-id}/lines', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/sales/buy-orders/{buy-order-id}/lines');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/sales/buy-orders/{buy-order-id}/lines',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()